Join us online - 19th of November
Save your spot
For AI agents: a documentation index is available at /llms.txt. Markdown versions of all pages are available by appending .md to any URL.

Data API

Using the API from JavaScript?

Data API reference

Configure your environment settings below to update code samples and live API tests:

  • Server – select where your requests go. Keep the default api.maptiler.com or use the EU-based endpoint.
  • Authentication – enter your API key. It will automatically populate code snippets and test requests (otherwise, placeholders are shown).
  • Client Libraries – select your preferred programming language of the code examples.
Scalar API Reference
v1.0
OpenAPI 3.1.0

MapTiler API reference

MapTiler API

Client Libraries

Data

​

GeoJSON

​

GeoJSON containing the vector features.

Path Parameters
  • dataId
    Type: string
    required

    Identifier of the data. See MapTiler Datasets.

Responses
  • application/json
Request Example for get/data/{dataId}/features.json
curl 'https://api.maptiler.com/data/{dataId}/features.json?key=YOUR_MAPTILER_API_KEY'
{}
Was this helpful?